Bug 729787 - Moving a gimp window to another workspace leaves the toolbox as an orphan on the original workspace
Summary: Moving a gimp window to another workspace leaves the toolbox as an orphan on ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 19:54 UTC by moabi2000
Modified: 2016-10-14 09:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 09:35:35 UTC


Attachments (Terms of Use)

Description moabi2000 2011-08-10 19:54:41 UTC
Description of problem:

If you open an image in gimp, you have the image window and the toolbox window. If I move the image window to another workspace (press window key then drag), the toolbox gets left behind. The toolbox does not appear in the 'present windows' view, and the only way to move it is to right-click the title bar and select 'move window to workspace'. That isn't very intuitive.

Orphaning part of a window group isn't good behaviour.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora End Of Life 2012-08-07 17:50:00 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Nikos Mavrogiannopoulos 2015-01-20 12:46:26 UTC
The problem persists in Fedora 21.

Comment 3 Ryan Lerch 2015-11-12 03:49:50 UTC
This is not really a bug, more a side effect of how gimp uses seperate windows for all the toolboxes. This is really working as it should -- if a user wanted to have all their toolboxes on a seperate window, and the main canvas window on another, automatically moving everything when you move a window would behave differently to every other application that has multiple windows.

The good news is that if you do want the toolbox to move when you move workspaces, GIMP's single window mode is what you are after. "Windows > Single Window Mode" in GIMP is where you can turn it on.

Comment 4 Nikos Mavrogiannopoulos 2015-11-12 08:19:16 UTC
Sorry but the answer implies there is no problem, and windows should disappear if a window changes workspace. If single window mode solves that, it should have been the default because in Fedora we use multiple work spaces. It is not though, and thus the bug should remain open.

Comment 5 Ryan Lerch 2015-11-12 09:58:26 UTC
There really isnt a bug IMHO -- the windows are behaving exactly as expected -- that is why i marked it as not a bug. 

If you move a window to another workspace, the shell can't know your intent of which windows tied to an application to move to the new workspace? IF you have two firefox windows, and move one to another workspace, do both move to the new workspace?

This is a quirk of the GIMP design choice to put user interface elements into seperate windows, an issue that can be solved easily with GIMP's single window mode. Also, as i mentioned eariler, there could be a legitimate use case on smaller screens where a user wants some of the GIMP pallettes and windows on one workspace, and the main GIMP window with the photo in it on another workspace. Automatically moving the toolbox windows stops that.

Comment 6 Nikos Mavrogiannopoulos 2015-11-12 12:18:38 UTC
Ryan I understand your point. It does make clear what the issue is, but it does not address it. Since we have multiple work spaces in a typical Fedora, the default setup of gimp shouldn't become confusing if windows are moved around. Users shouldn't be expected to do window management manually. I can only suggest, but a fix for the issue could be to switch to the single window mode by default or so.

Comment 7 Jan Kurik 2015-12-22 11:29:36 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Comment 8 Jan Kurik 2016-02-24 13:11:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 9 Nils Philippsen 2016-04-19 13:49:56 UTC
I've raised this issue with upstream and... it's complicated.

First, I'm hesitant about deviating from upstream defaults when there are multiple possible workarounds—using single window mode, or setting the hints for toolbox/docks to "Normal Window" rather than "Utility Window" in Preferences → Window Management.

It seems that window managers (GNOME shell here) don't really reckon with utility windows that aren't marked as transient for a parent or main window. The problem in GIMP's multi window mode is that there is no single "main" window, every image window is on equal footing with the others. While there is the concept of "currently active image window" in GIMP, making toolboxes and docks transient for the currently active image window has been tried before and upstream described the attempt as "horribly broken with a million side effects".

I've changed the version to Rawhide and added the FutureFeature keyword so we don't lose track of this.

Comment 10 deadrat 2016-06-26 10:17:56 UTC
IMO, It isn't really a bug and the default shouldn't be changed. 
It is working as expected. This not only happens with GNOME but also with other DEs. 

Since the tools are loaded as separate windows, we should be able to move the individual windows between workspaces. 

IMHO, we shouldn't change the default to single window mode. If GIMP wants to default to single window mode, then we can use it. Till then we could stick to how it is now. 

If we feel this behaviour has to change, one may consider filing a bug in GNOME bugzilla for GIMP under User Interface Component.

Comment 11 Nils Philippsen 2016-10-14 09:35:35 UTC
Basically, what deadrat says in comment #10. I don't see a sensible way to move forward on this without deviating from upstream defaults and workarounds are available, therefore I'll close the bug.


Note You need to log in before you can comment on or make changes to this bug.